#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.5
visibility:           public
id:                   hOpenPGP-2.9.5-3Tfc1LDjg8DJcsMTwJo6i2
key:                  hOpenPGP-2.9.5-3Tfc1LDjg8DJcsMTwJo6i2
license:              MIT
copyright:            2012-2020  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  8add7f01075f54cfb5f0d69f6b913337
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher

import-dirs:          /usr/lib/ghc-9.0.1/site-local/hOpenPGP-2.9.5
library-dirs:         /usr/lib/ghc-9.0.1/site-local/hOpenPGP-2.9.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/hOpenPGP-2.9.5
hs-libraries:         HShOpenPGP-2.9.5-3Tfc1LDjg8DJcsMTwJo6i2
depends:
    aeson-1.5.6.0-HjRPlMbeXBZ4yuplu15455
    asn1-encoding-0.9.6-5XtYYAq0rS7BvOk5x6bkmz
    attoparsec-0.14.1-FCw2YbaswCt6roS8dkagL4 base-4.15.0.0
    base16-bytestring-1.0.1.0-HEKD2Oo8vtLxC8G87I8MD
    bifunctors-5.5.11-4BhZ5HBbbiX2SIDaSNSqji binary-0.8.8.0
    binary-conduit-1.3.1-93saMyiwdbi6r57N46Ajft bytestring-0.10.12.1
    bz2-1.0.1.0-3QMSbohHBdK9yYbG0TWuqU
    conduit-1.3.4.2-3a4oLt2zoluJkPoJvBjFCf
    conduit-extra-1.3.5-5VetjBP4pNqF4oll3kEeyA containers-0.6.4.1
    crypto-cipher-types-0.0.9-2oAnHtqeRctAMvgq4mBtVl
    cryptonite-0.29-9t1m9WkRw4NHt6hLWOfmFh
    errors-2.3.0-L61cpO3OjOyLP7j03MZ5aR
    hashable-1.3.3.0-LgC2GKp34OLEabneGtyuCb
    incremental-parser-0.5.0.2-8OBsd2wRluzBltgUHHWTCA
    ixset-typed-0.5-9peoV8ozE0m15DGqPR4qIE
    lens-5.0.1-KAh7DAnq23eK3Mb3yHYdKP
    memory-0.16.0-CGaPOmXCTce28vOCDDnDFr
    monad-loops-0.4.3-CoSqVlGqFyAAyK5Lg2m9AJ
    nettle-0.3.0-LBTadu1XgKbBXssreAKwoe
    network-uri-2.6.4.1-DJOF1HMaUfXCJujDIgDzpa
    openpgp-asciiarmor-0.1.2-KjKmRdf0teCAXCrdlFtoVp
    prettyprinter-1.7.1-H8w7nEQ9gADDN8kKWOcoI2
    resourcet-1.2.4.3-53FYjKR289QGvVsOPGH1yC
    split-0.2.3.4-66WnL8lpKgJ9suCZaVklHQ text-1.2.4.1 time-1.9.3
    time-locale-compat-0.1.1.5-HOIeHz8A3IdD2UbO8b27LU
    transformers-0.5.6.2 unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-Wie4T3gD5k18ShmuaDNll
    zlib-0.6.2.3-72G9KJNhtRc8XRXJwRL5Ef

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

